package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招标网工程类爬虫对象 zb_gc
 * 
 * @author peach
 * @date 2022-05-18
 */
public class ZbGc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 招标id */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 招标省市 */
    @Excel(name = "招标省市")
    private String addr;

    /** 标文规范 */
    @Excel(name = "标文规范")
    private String rule;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 转载信息 */
    @Excel(name = "转载信息")
    private String other;

    /** 标书类型 */
    @Excel(name = "标书类型")
    private String type;

    /** 文章详情地址 */
    @Excel(name = "文章详情地址")
    private String url;

    /** 检索关键词 */
    @Excel(name = "检索关键词")
    private String searchKey;

    /** 部门类型 */
    private Integer depType;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String dep;

    /** 招标价格 */
    @Excel(name = "招标价格")
    private BigDecimal price;

    /** 标书详细内容 */
    @Excel(name = "标书详细内容")
    private String word;

    /**  */
    private Integer regex;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setAddr(String addr) 
    {
        this.addr = addr;
    }

    public String getAddr() 
    {
        return addr;
    }
    public void setRule(String rule) 
    {
        this.rule = rule;
    }

    public String getRule() 
    {
        return rule;
    }
    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }
    public void setOther(String other) 
    {
        this.other = other;
    }

    public String getOther() 
    {
        return other;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setSearchKey(String searchKey) 
    {
        this.searchKey = searchKey;
    }

    public String getSearchKey() 
    {
        return searchKey;
    }
    public void setDepType(Integer depType) 
    {
        this.depType = depType;
    }

    public Integer getDepType() 
    {
        return depType;
    }
    public void setDep(String dep) 
    {
        this.dep = dep;
    }

    public String getDep() 
    {
        return dep;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setWord(String word) 
    {
        this.word = word;
    }

    public String getWord() 
    {
        return word;
    }
    public void setRegex(Integer regex) 
    {
        this.regex = regex;
    }

    public Integer getRegex() 
    {
        return regex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("addr", getAddr())
            .append("rule", getRule())
            .append("time", getTime())
            .append("other", getOther())
            .append("type", getType())
            .append("url", getUrl())
            .append("searchKey", getSearchKey())
            .append("depType", getDepType())
            .append("dep", getDep())
            .append("price", getPrice())
            .append("word", getWord())
            .append("regex", getRegex())
            .toString();
    }
}
