package com.ruoyi.system.mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.ZbGc;
import org.apache.ibatis.annotations.Param;

/**
 * 招标网工程类爬虫Mapper接口
 * 
 * @author peach
 * @date 2022-05-18
 */
public interface ZbGcMapper 
{


    /**
     * 查询招标网工程类爬虫总数
     *
     * @return 招标网工程类爬虫总数
     */
    public Integer selectAllCount();

    /**
     * 查询招标网工程类爬虫未处理总数
     *
     * @return 招标网工程类爬虫脏数据总数
     */

    public Integer selectAllIsDirty();

    /**
     * 查询招标网工程类爬虫未处理总数
     *
     * @return 招标网工程类爬虫未处理总数
     */
    public Integer selectAllIsNull();


    /**
     * 按照标书类型查询清洗失败招标网工程类爬虫总数
     *
     * @return 分类招标网工程类爬虫数
     */
    public List<Map<String,Integer>> selectAllNotDoneByType();


    /**
     * 按照标书类型查询招标网工程类爬虫总数
     *
     * @return 分类招标网工程类爬虫数
     */
    public List<Map<String,Integer>> selectAllDoneByType();


    /**
     * 按照标书类型查询招标网工程类模糊数据爬虫总数
     *
     * @return 分类招标网工程类爬虫数
     */
    public List<Map<String,Integer>> selectAllDirtyByType();


    /**
     * 查询招标网工程类爬虫中标金额总数
     *
     * @return 招标网工程类爬虫中标金额总数
     */
    public BigDecimal selectAllSumPrice();


    /**
     * 按月份查询招标网工程类爬虫中标总数
     *
     * @return 招标网工程类爬虫中标总数
     */
    public List<Map<String,Integer>> selectAllCountJGByMon(@Param("searchKey") String key);


    /**
     * 按月份查询招标网工程类爬虫公告标总数
     *
     * @return 招标网工程类爬虫公告总数
     */
    public List<Map<String,Integer>> selectAllCountGGByMon(@Param("searchKey") String key);


    public List<Map<String,Integer>> selectAllZBCountByDepDateOne(@Param("searchKey") String key);

    public List<Map<String,Integer>> selectAllZBCountByDepDateTwo(@Param("searchKey") String key);

    public List<String> selectAddrBySearchKey();

    public Map<String,BigDecimal> selectSumPriceByAddr(@Param("key")String key);

    /**
     * 按月份查询招标网工程类爬虫中标金额总数
     *
     * @return 招标网工程类爬虫中标金额总数
     */
    public List<Map<String,BigDecimal>> selectAllSumPriceByMon(@Param("searchKey") String key);


    /**
     * 按部门查询招标网工程类中标结果公示爬虫中标总数
     *
     * @return 中标结果公示爬虫中标总数
     */
    public List<Map<String,Integer>> selectAllJGCountByDep();


    /**
     * 按部门查询招标网工程类招标公告爬虫中标总数
     *
     * @return 招标公告爬虫中标总数
     */
    public List<Map<String,Integer>> selectAllZBCountByDep();









    /**
     * 查询招标网工程类爬虫
     * 
     * @param id 招标网工程类爬虫主键
     * @return 招标网工程类爬虫
     */
    public ZbGc selectZbGcById(Long id);

    /**
     * 查询招标网工程类爬虫列表
     * 
     * @param zbGc 招标网工程类爬虫
     * @return 招标网工程类爬虫集合
     */
    public List<ZbGc> selectZbGcList(ZbGc zbGc);

    /**
     * 新增招标网工程类爬虫
     * 
     * @param zbGc 招标网工程类爬虫
     * @return 结果
     */
    public int insertZbGc(ZbGc zbGc);

    /**
     * 修改招标网工程类爬虫
     * 
     * @param zbGc 招标网工程类爬虫
     * @return 结果
     */
    public int updateZbGc(ZbGc zbGc);

    /**
     * 删除招标网工程类爬虫
     * 
     * @param id 招标网工程类爬虫主键
     * @return 结果
     */
    public int deleteZbGcById(Long id);

    /**
     * 批量删除招标网工程类爬虫
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZbGcByIds(String[] ids);
}
