package com.ruoyi.system.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.ZbGc;
import org.apache.ibatis.annotations.Param;

/**
 * 招标网工程类爬虫Service接口
 * 
 * @author peach
 * @date 2022-05-18
 */
public interface IZbGcService 
{



    /**
     * 按月份查询招标网工程类爬虫中标金额总数
     *
     * @return 招标网工程类爬虫中标金额总数
     */
    public List<Map<String,BigDecimal>> selectAllSumPriceByMon(String key);

    public Map<String,Integer> getAllCount();

    public List<Map<String,Integer>> getCleanCake();

    public  Map<String,List<Map<String, Integer>>> getCountByDepType(String key);

    public  Map<String,List<Map<String, Integer>>> getTypeByMon(String key);




    public List<Map<String,BigDecimal>> selectSumPriceByAddr();

    /**
     * 查询招标网工程类爬虫
     * 
     * @param id 招标网工程类爬虫主键
     * @return 招标网工程类爬虫
     */
    public ZbGc selectZbGcById(Long id);

    /**
     * 查询招标网工程类爬虫列表
     * 
     * @param zbGc 招标网工程类爬虫
     * @return 招标网工程类爬虫集合
     */
    public List<ZbGc> selectZbGcList(ZbGc zbGc);

    /**
     * 新增招标网工程类爬虫
     * 
     * @param zbGc 招标网工程类爬虫
     * @return 结果
     */
    public int insertZbGc(ZbGc zbGc);

    /**
     * 修改招标网工程类爬虫
     * 
     * @param zbGc 招标网工程类爬虫
     * @return 结果
     */
    public int updateZbGc(ZbGc zbGc);

    /**
     * 批量删除招标网工程类爬虫
     * 
     * @param ids 需要删除的招标网工程类爬虫主键集合
     * @return 结果
     */
    public int deleteZbGcByIds(String ids);

    /**
     * 删除招标网工程类爬虫信息
     * 
     * @param id 招标网工程类爬虫主键
     * @return 结果
     */
    public int deleteZbGcById(Long id);
}
